Bug 1127519 (CVE-2014-5179) - CVE-2014-5179 drupal6-freelinking: access bypass issue
Summary: CVE-2014-5179 drupal6-freelinking: access bypass issue
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-5179
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140723,repor...
Depends On: 1127520
Blocks: 1127521
TreeView+ depends on / blocked
 
Reported: 2014-08-07 03:36 UTC by Murray McAllister
Modified: 2019-06-08 20:08 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-06 02:03:48 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-07 03:36:53 UTC
The following issue was discovered in Drupal's freelinking module:

""
The freelinking and freelinking case tracker modules implement a filter for the easier creation of HTML links to other pages in the site or external sites with a wiki style format such as [[pluginname:identifier]].

The module doesn't sufficiently check access to content when displaying links to nodes and users. This makes it possible to see node titles, usernames and potentially other data depending on the site configuration.

This vulnerability is mitigated by the fact that a site must use node access or permissions to prevent some users from viewing some nodes or users.
""

A patch is not available as the module is no longer maintained. drupal6-freelinking is available in Fedora 19, but not in Fedora 20.

References:

https://www.drupal.org/node/2308503

Comment 1 Murray McAllister 2014-08-07 03:38:06 UTC
Created drupal6-freelinking tracking bugs for this issue:

Affects: fedora-19 [bug 1127520]


Note You need to log in before you can comment on or make changes to this bug.